<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
      .container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  gap: 0px 0px;
  grid-auto-flow: row;
  grid-template-areas:
    "block_1 block_2 block_3"
    "block_4 block_5 block_6"
    ". . .";
    height: 800px;
}

.block_1 { 
    grid-area: block_1;
    background-color: beige;
 }

.block_2 {
  display: grid;
  grid-template-columns: 1fr 1fr ;
  grid-template-rows: 1fr 1fr ;
  gap: 0px 0px;
  grid-auto-flow: column;
  grid-template-areas:
    "block_2-1 block_2-2 ."
    "block_2-3 block_2-4 ."
    ". . .";
  grid-area: block_2;
  background-color: chocolate;
}

.block_2-1 { grid-area: block_2-1;
  background-color: rgb(3, 24, 53);
 }

.block_2-2 { grid-area: block_2-2;
  background-color: rgb(152, 207, 130)
 }

.block_2-3 { grid-area: block_2-3;
  background-color: rgb(132, 185, 8)
 }

.block_2-4 { grid-area: block_2-4;
  background-color: rgb(150, 19, 177)
 }

.block_3 { grid-area: block_3;
    background-color: darkgreen;
 }

.block_4 {
  display: grid;
  grid-template-columns: 1fr 1fr ;
  grid-template-rows: 1fr 1fr ;
  gap: 0px 0px;
  grid-auto-flow: column;
  grid-template-areas:
    "block_4-1 block_4-2 ."
    "block_4-1 block_4-2 ."
    ". . .";
  grid-area: block_4;
  background-color: cornflowerblue;
}

.block_4-1 { grid-area: block_4-1;
  background-color: rgb(15, 79, 131);
 }

.block_4-2 { grid-area: block_4-2;
  background-color: rgb(52, 175, 124);
 }

.block_5 { grid-area: block_5;
    background-color: darkmagenta;
 }

.block_6 {
  display: grid;
  grid-template-columns: 1fr 1fr ;
  grid-template-rows: 1fr 1fr ;
  gap: 0px 0px;
  grid-auto-flow: column;
  grid-template-areas:
    "block_6-1 block_6-1 ."
    "block_6-2 block_6-2 ."
    ". . .";
  grid-area: block_6;
  background-color: crimson;
}

.block_6-1 { grid-area: block_6-1;
  background-color: rgb(92, 139, 16);
 }

.block_6-2 { grid-area: block_6-2;
  background-color: rgb(26, 173, 154)
 }




    </style>
</head>
<body>
    <div class="container">
        <div class="block_1">block_1</div>
        <div class="block_2">block_2
          <div class="block_2-1">block_2-1</div>
          <div class="block_2-2">lock_2-2</div>
          <div class="block_2-3">block_2-3</div>
          <div class="block_2-4">block_2-4</div>
        </div>
        <div class="block_3">block_3</div>
        <div class="block_4">block_4
          <div class="block_4-1">block_4-1</div>
          <div class="block_4-2">block_4-2</div>
        </div>
        <div class="block_5">block_5</div>
        <div class="block_6">block-6
          <div class="block_6-1">block_6-1</div>
          <div class="block_6-2">block_6-2</div>
        </div>
      </div>
  
    
</body>
</html>